//
//  Test_FrameworkAppDelegate.h
//
//  Created by Joe Hogue and Paul Zirkle
//

#import <UIKit/UIKit.h>

#include "GameStateManager.h"

@class ExampleViewController;

@interface Test_FrameworkAppDelegate : GameStateManager <UIApplicationDelegate> {
    UIWindow *window;
    ExampleViewController *viewController;
	
	//variables for tracking frames per second, from p75 in iPhone Game Development.
	CFTimeInterval m_FPS_lastSecondStart;
	int m_FPS_framesThisSecond;
	int m_FPS;
}

@property (nonatomic, retain) IBOutlet UIWindow *window;
@property (nonatomic, retain) IBOutlet ExampleViewController *viewController;

- (int) getFramesPerSecond;

@end

