//
//  gsTest.m
//  Example
//
//  Created by Joe Hogue and Paul Zirkle
//

#import "gsTest.h"
#import "gsMain.h"

@implementation gsTest

-(gsTest*) initWithFrame:(CGRect)frame andManager:(GameStateManager*)pManager
{
	if (self = [super initWithFrame:frame andManager:pManager]){
		//do initialization here.
	}
	return self;
}

-(void) Render
{
	[self setNeedsDisplay];
}
-(void) drawRect:(CGRect) rect 
{
	CGContextRef g = UIGraphicsGetCurrentContext();
	//fill background with blue
	CGContextSetFillColorWithColor(g, [UIColor blueColor].CGColor);
	CGContextFillRect(g, CGRectMake(0, 0, self.frame.size.width, self.frame.size.height));
	
	//draw text in black
	CGContextSetFillColorWithColor(g, [UIColor blackColor].CGColor);
	[@"it works!" drawAtPoint:CGPointMake(10.0,20.0) withFont:[UIFont systemFontOfSize:[UIFont systemFontSize]]];
}

-(void) touchesEnded:(NSSet*)touches withEvent:(UIEvent*)event
{
	UITouch* touch = [touches anyObject];
	NSUInteger numTaps = [touch tapCount];
	if( numTaps > 1 ) {
		[m_pManager doStateChange:[gsMain class]];
	}
}

@end
