//
//  gsMain.m
//  Example
//
//  Created by Joe Hogue and Paul Zirkle
//

#import "gsMain.h"
#import "gsTest.h"
#import "Test_FrameworkAppDelegate.h"

@implementation gsMain

-(gsMain*) initWithFrame:(CGRect)frame andManager:(GameStateManager*)pManager {
	if (self = [super initWithFrame:frame andManager:pManager]) {
		//do initializations here.
	}
	return self;
}

- (void) Render {
	[self setNeedsDisplay]; //this sets up a deferred call to drawRect.
}

- (void)drawRect:(CGRect)rect {
	CGContextRef g = UIGraphicsGetCurrentContext();
	//fill background with gray
	CGContextSetFillColorWithColor(g, [UIColor grayColor].CGColor);
	CGContextFillRect(g, CGRectMake(0, 0, self.frame.size.width, self.frame.size.height));
	//draw text in black.
	CGContextSetFillColorWithColor(g, [UIColor blackColor].CGColor);
	[@"O'Reilly Rules!" drawAtPoint:CGPointMake(10.0, 20.0) withFont:[UIFont systemFontOfSize:[UIFont systemFontSize]]];
	
	//fps display from page 76 of iPhone Game Development
	int FPS = [((Test_FrameworkAppDelegate*)m_pManager) getFramesPerSecond];
	NSString* strFPS = [NSString stringWithFormat:@"%d", FPS];
	[strFPS drawAtPoint:CGPointMake(10.0, 60.0) withFont:[UIFont systemFontOfSize:[UIFont systemFontSize]]];
}

//this is missing from the code listing on page 77.
-(void) touchesEnded:(NSSet*)touches withEvent:(UIEvent*)event
{
	UITouch* touch = [touches anyObject];
	NSUInteger numTaps = [touch tapCount];
	if( numTaps > 1 ) {
		[m_pManager doStateChange:[gsTest class]];
	}
}

@end
